com.io7m.jcanephora.profiler

## Interface JCGLProfilingContextType

-     public interface JCGLProfilingContextType

  A single profiling context.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `JCGLProfilingContextType` | `getChildContext(String name)` Create or return an existing child context with the given name.
    `String` | `getName()`
    `JCGLTimerQueryUsableType` | `getTimer()` Create a new timer, or return the existing timer if this method has already been called previously on this context.
    `JCGLTimersType` | `getTimers()`
    `boolean` | `hasTimer()`
    `boolean` | `isEnabled()`
    `default void` | `startMeasuringIfEnabled()` Start measuring the time if profiling is enabled.
    `default void` | `stopMeasuringIfEnabled()` Stop measuring the time if profiling is enabled.

- - ### Method Detail

    - #### getName

          String getName()

      Returns:
        The name of the context
      See Also:
        `JCGLProfilingFrameType.getChildContext(String)`, `getChildContext(String)`

    - #### getTimer

          JCGLTimerQueryUsableType getTimer()

      Create a new timer, or return the existing timer if this method has already been called previously on this context.
      Returns:
        The OpenGL timer associated with the context

    - #### getChildContext

          JCGLProfilingContextType getChildContext(String name)

      Create or return an existing child context with the given name.
      Parameters:
        `name` - The name of the child context
      Returns:
        A (possibly new) child context

    - #### isEnabled

          boolean isEnabled()

      Returns:
        `true` iff profiling is enabled
      See Also:
        `JCGLProfilingType.setEnabled(boolean)`, `JCGLProfilingType.isEnabled()`

    - #### getTimers

          JCGLTimersType getTimers()

      Returns:
        Access to the GL timers interface

    - #### hasTimer

          boolean hasTimer()

      Returns:
        `true` iff `getTimer()` has ever been called for this context

    - #### startMeasuringIfEnabled

          default void startMeasuringIfEnabled()

      Start measuring the time if profiling is enabled.

    - #### stopMeasuringIfEnabled

          default void stopMeasuringIfEnabled()

      Stop measuring the time if profiling is enabled.

Copyright © 2016 <code@io7m.com> http://io7m.com